# Uses of Enum Class
org.eclipse.gef.common.adapt.inject.AdapterInjectionSupport.LoggingMode

Packages that use AdapterInjectionSupport.LoggingMode
Package
Description
org.eclipse.gef.common.adapt.inject
This package provides support for Google Guice-based injection of adapters.

## Uses of AdapterInjectionSupport.LoggingMode in org.eclipse.gef.common.adapt.inject

Methods in org.eclipse.gef.common.adapt.inject that return AdapterInjectionSupport.LoggingMode
Modifier and Type
Method
Description
`static AdapterInjectionSupport.LoggingMode`
AdapterInjectionSupport.LoggingMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AdapterInjectionSupport.LoggingMode[]`
AdapterInjectionSupport.LoggingMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.eclipse.gef.common.adapt.inject with parameters of type AdapterInjectionSupport.LoggingMode
Modifier
Constructor
Description
``
`AdaptableTypeListener(AdapterInjectionSupport.LoggingMode loggingMode)`
Constructs a new `AdaptableTypeListener` and specifies the `AdapterInjectionSupport.LoggingMode` to use.
``
`AdapterInjectionSupport(AdapterInjectionSupport.LoggingMode loggingMode)`
Constructs a new `AdapterInjectionSupport` and specifies the `AdapterInjectionSupport.LoggingMode` to use.
``
`AdapterInjector(Method method, AdapterInjectionSupport.LoggingMode loggingMode)`
Creates a new `AdapterInjector` to inject the given `Method`, annotated with the given `AdapterMap` method annotation.